#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long int V,brojacN = 0, novac,brojac = 0;
    vector <long long int> cifre;
    vector <long long int> test;
    cin >> V;
    novac = V;
    while(novac > 0)
    {
        cifre.push_back((novac%10));
        test.push_back(cifre.at(brojac)* lround(pow((10),(brojac))));
        if(cifre.at(brojac) == 1)
        {
            V -= test.at(brojac);
            brojacN++;
        }

        if(cifre.at(brojac) == 2)
        {
            V -= test.at(brojac);
            brojacN++;
        }
        if(cifre.at(brojac) == 3)
        {
            V -= test.at(brojac);
            brojacN += 2;
        }
        if(cifre.at(brojac) == 4)
        {
            V -= test.at(brojac);
            brojacN += 2;
        }
        if(cifre.at(brojac) == 5)
        {
            V -= test.at(brojac);
            brojacN += 1;
        }
        if(cifre.at(brojac) == 6)
        {
            V -= test.at(brojac);
            brojacN += 2;
        }
        if(cifre.at(brojac) == 7)
        {
            V -= test.at(brojac);
            brojacN += 2;
        }
        if(cifre.at(brojac) == 8)
        {
            V -= test.at(brojac);
            brojacN += 3;
        }
        if(cifre.at(brojac) == 9)
        {
            V -= test.at(brojac);
            brojacN += 3;
        }
        novac/=10;
        brojac++;
    }
    cout << brojacN;
    return 0;
}